[arch-commits] Commit in meld/trunk (PKGBUILD meld_buildfix.diff)

Jan de Groot jgc at archlinux.org
Sun Apr 19 16:42:10 EDT 2009


    Date: Sunday, April 19, 2009 @ 16:42:10
  Author: jgc
Revision: 36067

upgpkg: meld 1.3.0-2
    Remove gnome-python dependencies. This version of meld uses pygtk only and should operate without any gnome dependencies. Move gnome-python (gconf) and pygtksourceview2 (gtksourceview2) to optdepends

Modified:
  meld/trunk/PKGBUILD
Deleted:
  meld/trunk/meld_buildfix.diff

--------------------+
 PKGBUILD           |   14 +++++++-------
 meld_buildfix.diff |   14 --------------
 2 files changed, 7 insertions(+), 21 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-19 20:31:09 UTC (rev 36066)
+++ PKGBUILD	2009-04-19 20:42:10 UTC (rev 36067)
@@ -3,19 +3,19 @@
 
 pkgname=meld
 pkgver=1.3.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Visual diff and merge tool for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://meld.sourceforge.net/"
-depends=('gnome-python-desktop' 'gtksourceview')
-makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils' 'intltool')
+depends=('pygtk>=2.14.1')
+makedepends=('pkgconfig' 'gnome-doc-utils' 'intltool')
+optdepends=('pygtksourceview2' 'gnome-python')
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.3/${pkgname}-${pkgver}.tar.gz)
+md5sums=('5cfc42077ba0bb9f03d6e568dbd906d7')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   make prefix=/usr || return 1
-  make prefix=/usr DESTDIR=${pkgdir} install || return 1
-  rm -rf ${pkgdir}/usr/gnome/share/doc
+  make prefix=/usr DESTDIR="${pkgdir}" install || return 1
 }
-md5sums=('5cfc42077ba0bb9f03d6e568dbd906d7')

Deleted: meld_buildfix.diff
===================================================================
--- meld_buildfix.diff	2009-04-19 20:31:09 UTC (rev 36066)
+++ meld_buildfix.diff	2009-04-19 20:42:10 UTC (rev 36067)
@@ -1,14 +0,0 @@
-diff -p -up meld-1.2/help/fr/GNUmakefile~ meld-1.2/help/fr/GNUmakefile
---- meld-1.2/help/fr/GNUmakefile~	2008-03-31 22:44:53.000000000 +0200
-+++ meld-1.2/help/fr/GNUmakefile	2008-06-27 10:37:54.000000000 +0200
-@@ -15,9 +15,8 @@ all $(OMF_NAME).install : $(OMF_NAME)
- 
- .PHONY : install
- install : $(OMF_NAME).install
--	-mkdir -m 755 -p $(OMF_DIR_) $(XML_DIR_) $(XML_DIR_)/figures
-+	-mkdir -m 755 -p $(OMF_DIR_) $(XML_DIR_)
- 	install -m 644 meld.$(LANG).xml $(XML_DIR_)/meld.xml
--	install -m 644 figures/*.png $(XML_DIR_)/figures
- 	-install -m 644 $< $(OMF_DIR_)/$(OMF_NAME)
- 	-scrollkeeper-update -p $(OMF_STATE) -o $(OMF_DIR_)
- 



More information about the arch-commits mailing list